# Class BaseProductMeshesGroupRenderInfo`Abstract` `Internal`

Base class for recording render property statistics for a collection of IFC product meshes. NOTE: Internal APIs. Subject to change. Use of these APIs in production applications is not supported.

#### Hierarchy (View Summary)

- BaseProductMeshesGroupRenderInfo
  - GlobalState
  - MergedIfcProductMeshesRenderInfo

#### Implements

- ProductMeshesGroupRenderInfo

##### Index

### Constructors

constructor

### Properties

_state
parent?

### Accessors

state

### Methods

clearState
updateFromRenderProperty

## Constructors

### constructor

- new BaseProductMeshesGroupRenderInfo(
  parent?: ProductMeshesGroupRenderInfo,
  ): BaseProductMeshesGroupRenderInfo

  Constructor.

  #### Parameters

  - `Optional` parent: ProductMeshesGroupRenderInfo

    The parent render info object. If not set, this is the root object.

  #### Returns BaseProductMeshesGroupRenderInfo

## Properties

### `Protected`_state

_state: MergedIfcProductMeshesRenderInfoState = ...

### `Optional` `Readonly` parent

parent?: ProductMeshesGroupRenderInfo

The parent render info object. If not set, this is the root object.

Implementation of ProductMeshesGroupRenderInfo.parent

## Accessors

### state

- get state(): DeepImmutable<MergedIfcProductMeshesRenderInfoState>

  Get the current state of render properties.

  #### Returns DeepImmutable<MergedIfcProductMeshesRenderInfoState>

  Implementation of ProductMeshesGroupRenderInfo.state

## Methods

### `Protected` clearState

- clearState(): void

  Set the state of the render properties in state to 0.

  #### Returns void

### updateFromRenderProperty

- updateFromRenderProperty(
  currentRenderProperty: number,
  prevRenderProperty: number,
  ): void

  Update the render properties based on the current and previous render properties.

  #### Parameters

  - currentRenderProperty: number

    The current render property.

  - prevRenderProperty: number

    The previous render property.

  #### Returns void